IEXPLORE 
---

### Table

#### 使用方法（methods）

```html
<ep-table :config="" :data=""  :custom=""></ep-table>
```

#### 参数说明(params)

* config：配置参数，必选，格式： `{name: '',value: '',sort: '',width: ''}`
* data：数据列表，可选
* custom：是否开启Table自定义，可选

##### 单级表头配置
```js
[
    {
    	name: '',//表头名称
        value: ''//表头属性
    },
    {
        name: '',
        value: '',
        sort: true//是否开启排序
    }
]
```

##### 多级表头配置

```js
[
    {
        "name": "",//表头名称
        "value": "",//表头属性
        "child": [//二级表头列表
            {
                "name": "",//二级表头名称
                "value": "",//二级表头属性
                "sort": true//是否开启二级表头自定义排序
            },
            {
                "name": "",
                "value": ""
            }
        ]
    },
    {
        "name": "",
        "value": "",
        "sort": true
    }
]
```

#### 事件(events)

|事件名|参数|参数说明|
|---|---|---|
|change|{state: '',value: ''}|state: 排序方式，value: 表格列参数所对应的属性|


### BrowerCheck

#### 使用方法（methods）

```html
<ep-brower :msg="" :url="" ></ep-brower>
```

#### 参数说明(params)

* msg：自定义通知消息，可选，格式：String 例如：`'hello,world'`
* url：自定义下载链接，可选，格式：String

### Alert

#### 使用方法（methods）

```html
<ep-alert type="error">提示内容</ep-alert>
```

#### 参数说明

* type: 定义Alert类型，可不填，支持`info`、`success`、`error`三种模式，不填时默认为`info`

### Title 

#### 使用方法（methods）

```html
<ep-title title="我是标题">
	<p>hello,world</p>//我是右边栏自定义内容
</ep-title>
```

#### 参数说明

* title：自定义标题

### Tabs

#### 使用方法（methods）

```html
<ep-tabs @change="change" :config="tabconfig"></ep-tabs>
```

#### 参数说明

* config：定义Tabs标签页，必选参数，例如`['企业', '工业园区', '引用水源地', '政府单位', '其它选项']`

#### 事件（events）

|事件名|参数|参数说明|
|---|---|---|
|change|index|返回标签页index参数|

### Steps

#### 使用方法(methods)

```html
<ep-steps><ep-step step="1">步骤一</ep-step></ep-steps>
```

### PDF

#### 使用方法（methods）

```html
<ep-pdf src="../../static/1.pdf" :page="1"></ep-pdf>
```

#### 参数说明

|参数名|是否必选|类型|介绍|
|---|---|---|---|
|src|true|String|传入预览文件地址|
|page|false|Number|展示指定页数，一般用于翻页操作|

### Signature

* 签章组建基于`active-x`实现，因此目前只支持IE浏览器

#### 使用方法（methods）

```html
<ep-signature :src="**" :params="**" :action="**" @error="**" @success="**" @result="**"></ep-signature>
```

#### 参数说明

|参数名|是否必选|类型|介绍|
|---|---|---|---|
|src|false|String|传入的签章文件地址|
|type|false|Number|控件模式，<br/>0：默认模式，签字盖章 <br/>1：签字<br/> 2：盖章<br/>>3:仅预览|
|action|true|String|传入文件上传地址|
|params|false|Object|文件上传参数|
|update|false|String|配置控件下载地址|

#### 事件

|事件名|参数|参数说明|
|---|---|---|
|error||监听组建抛出异常信息|
|success||监听组建抛出成功信息|
|result|{status: false, data: {}}|文件上传结果|

### Radio/Tag

* 文字版单选按钮

#### 使用方法(methods)

```html
<ep-radio @change="change">
	<ep-radio-list label="1">测试</ep-radio-list>
	<ep-radio-list label="2">测试</ep-radio-list>
	<ep-radio-list label="3">测试</ep-radio-list>
</ep-radio>
<ep-tag @change="change">
	<ep-tag-list label="1">测试</ep-tag-list>
</ep-tag>
```

#### 参数说明

|参数名|是否必选|类型|介绍|
|---|---|---|---|
|type||String|默认选中|

#### 事件

|事件名|参数|参数说明|
|---|---|---|
|change|val|选中的label值|

### Transfer

* 高度自定义穿梭框

#### 使用方法（methods）

```html
<ep-transfer v-model="value2" @change="select_change" :data="data2" style="margin-top: 50px;margin-left: 50px">
	<ep-transfer-panel :filters="true" slot="select" custom="select" :options="data2">
		<el-dropdown size="mini" slot="header">
			<span class="el-dropdown-link">
				全部
				<i class="el-icon-arrow-down el-icon--right"></i>
			</span>
			<el-dropdown-menu slot="dropdown">
				<el-dropdown-item>全部</el-dropdown-item>
				<el-dropdown-item>石家庄市</el-dropdown-item>
			</el-dropdown-menu>
		</el-dropdown>
		<el-input placeholder="请输入内容" slot="search" size="mini" prefix-icon="el-icon-search" v-model="input21">
		</el-input>
	</ep-transfer-panel>

	<ep-transfer-panel custom="result" slot="result">
		<span slot="header">选中列表</span>
	</ep-transfer-panel>
</ep-transfer>
```

#### 参数说明

|组件|参数名|参数|类型|介绍|
|---|---|---|---|
|ep-transfer-pannel|filters|true|可选，是否开启搜索插槽|
|ep-transfer-pannel|slot|select|必填，设置对应的pannel(select/result)|
|ep-transfer-pannel|options|data|必填，设置对应的pannel数据|

#### 事件

|事件名|参数|参数说明|
|---|---|---|
|change|val|选中的label值|
